Get all discounts
curl --request GET \
--url https://app.eat-now.io/api/partner/v1/discounts \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.eat-now.io/api/partner/v1/discounts"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.eat-now.io/api/partner/v1/discounts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "discount_1",
"is_active": true,
"value": 10,
"message": "VIP",
"start_date": "2026-04-01T00:00:00.000Z",
"end_date": null,
"start_time": "18:00",
"end_time": "23:00",
"days_of_week": [
1,
2,
3,
4,
5
],
"max_covers_per_day": 20
}
]
}{
"error": {
"message": "<string>",
"request_id": "<string>",
"details": {}
}
}{
"error": {
"message": "<string>",
"request_id": "<string>",
"details": {}
}
}Catalog
Get all discounts
Returns the full discount catalog for the authenticated restaurant, ordered with active discounts first. This endpoint does not evaluate whether a discount is valid at request time. Applicability is determined by is_active together with start_date, end_date, start_time, end_time, and days_of_week.
GET
/
api
/
partner
/
v1
/
discounts
Get all discounts
⌘I
